unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin;

type
  TForm1 = class(TForm)
    SceltaEntro: TSpinEdit;
    Addendo1: TSpinEdit;
    Addendo2: TSpinEdit;
    Risultato: TSpinEdit;
    Piu: TPanel;
    Uguale: TPanel;
    Avanti: TButton;
    Errori: TPanel;
    Risposte_Esatte: TPanel;
    Azzera: TButton;
    procedure FormCreate(Sender: TObject);
    procedure AzzeraClick(Sender: TObject);
    procedure SceltaEntroChange(Sender: TObject);
    procedure AvantiClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  GIUSTE: Integer;
  ERRATE: Integer;


implementation

{$R *.DFM}



procedure TForm1.FormCreate(Sender: TObject);
begin
  GIUSTE := 0;
  ERRATE := 0;
  Errori.Caption := IntToStr(ERRATE) + '  Errori';
  Risposte_Esatte.Caption := IntToStr(GIUSTE) + ' Risposte Giuste';
  Randomize;
  Risultato.Value := Random(SceltaEntro.Value + 1);
  Addendo1.MaxValue := SceltaEntro.Value;
  Addendo2.MaxValue := SceltaEntro.Value;
end;

procedure TForm1.AzzeraClick(Sender: TObject);
begin
  GIUSTE := 0;
  ERRATE := 0;
  Errori.Caption := IntToStr(ERRATE) + '  Errori';
  Risposte_Esatte.Caption := IntToStr(GIUSTE) + ' Risposte Giuste';
end;

procedure TForm1.SceltaEntroChange(Sender: TObject);
begin
   Randomize;
   Risultato.Value := Random(SceltaEntro.Value + 1);
   Addendo1.MaxValue := SceltaEntro.Value;
   Addendo2.MaxValue := SceltaEntro.Value;
end;

procedure TForm1.AvantiClick(Sender: TObject);
begin
  if Addendo1.Value + Addendo2.Value = Risultato.Value then
  begin
      GIUSTE := GIUSTE + 1;
  Risposte_Esatte.Caption := IntToStr(GIUSTE) + '  Risposte Esatte';
  end;
  if Addendo1.Value + Addendo2.Value <> Risultato.Value then
  begin
    ERRATE := ERRATE + 1;
    Errori.Caption := IntToStr(ERRATE) + '  Errori';
  end;
  Risultato.Value := Random(SceltaEntro.Value + 1);
  Addendo1.MaxValue := SceltaEntro.Value;
  Addendo2.MaxValue := SceltaEntro.Value;
  Addendo1.Value := 0;
  Addendo2.Value := 0;
end;

end.
