unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    AnalisiEventi: TButton;
    Variazioni: TButton;
    CodiceCaratteri: TEdit;
    procedure AnalisiEventiKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure AnalisiEventiKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure VariazioniKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure VariazioniKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure CodiceCaratteriKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AnalisiEventiKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  Caption := 'Hai premuto un tasto';
end;

procedure TForm1.AnalisiEventiKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   Caption := 'Hai rilasciato il tasto';
end;

procedure TForm1.VariazioniKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if ssCtrl in Shift then
    Form1.Caption := 'Ctrl + ' + Chr(Key);
   {rileviamo la combinazione Control+tasto}
   if ssShift in Shift then
    Form1.Caption := 'Shift + ' + Chr(Key);
   {rileviamo la combinazione Shift+tasto}
   if ssAlt in Shift then
    Form1.Caption := 'Alt + ' + Chr(Key);
   {rileviamo la combinazione Alt+tasto}
end;

procedure TForm1.VariazioniKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if ssCtrl in Shift then
    Form1.Caption := 'Avevi premuto Ctrl + ' + Chr(Key);
   if ssShift in Shift then
    Form1.Caption := 'Avevi premuto Shift + ' + Chr(Key);
   if ssAlt in Shift then
    Form1.Caption := 'Avevi premuto Alt + ' + Chr(Key);
end;

procedure TForm1.CodiceCaratteriKeyPress(Sender: TObject; var Key: Char);
    var
      x: integer;
    {definiamo la variabile x come integer, cio come numero intero compreso tra -32768
     e 32767, la variabile numerica pi usata}
    begin
      x := ord(key);
    {con il comando "ord" a x diamo il valore numerico ASCII del tasto premuto (key)}
      CodiceCaratteri.Text := ' = ' + inttostr(x);
    {scriviamo il valore x nel campo CodiceCaratteri dopo averlo convertito in 
     stringa (testo) con il comando "inttostr" (DA INTEGRALE A STRINGA)}
    end;

end.
