unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls;

type
  TForm1 = class(TForm)
    Sfondo: TPanel;
    CambiaSmussatura: TPopupMenu;
    SmussaturaInterna1: TMenuItem;
    SmussaturaEsterna1: TMenuItem;
    Inferiore1: TMenuItem;
    Superiore1: TMenuItem;
    Nessuno1: TMenuItem;
    Inferiore2: TMenuItem;
    Superiore2: TMenuItem;
    Nessuno2: TMenuItem;
    procedure Inferiore1Click(Sender: TObject);
    procedure Superiore1Click(Sender: TObject);
    procedure Nessuno1Click(Sender: TObject);
    procedure Inferiore2Click(Sender: TObject);
    procedure Superiore2Click(Sender: TObject);
    procedure Nessuno2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Inferiore1Click(Sender: TObject);
begin
  Sfondo.BevelInner := bvLowered;
  {La smussatura interna dello sfondo  bassa}
  Inferiore1.Checked := True;
  {Inseriamo il segno di spunta per l'opzione Inferiore di Smussatura interna}
  Nessuno1.Checked := False;
  {Togliamo il segno di spunta per l'opzione Nessuno di Smussatura interna}
end;

procedure TForm1.Superiore1Click(Sender: TObject);
begin
  Sfondo.BevelInner := bvRaised;
  {La smussatura interna dello sfondo  alta}
  Superiore1.Checked := True;
  {Inseriamo il segno di spunta per l'opzione Superiore di Smussatura interna}
  Inferiore1.Checked := False;
  {Togliamo il segno di spunta per l'opzione Inferiore di Smussatura interna}
  Nessuno1.Checked := False;
  {Togliamo il segno di spunta per l'opzione Nessuno di Smussatura interna}
end;

procedure TForm1.Nessuno1Click(Sender: TObject);
begin
  Sfondo.BevelInner := bvNone;
  {Non c' smussatura interna per lo sfondo}
  Nessuno1.Checked := True;
  {Inseriamo il segno di spunta per l'opzione Nessuno di Smussatura interna}
  Inferiore1.Checked := False;
  {Togliamo il segno di spunta per l'opzione Inferiore di Smussatura interna}
  Superiore1.Checked := False;
  {Togliamo il segno di spunta per l'opzione Superiore di Smussatura interna}
end;

procedure TForm1.Inferiore2Click(Sender: TObject);
begin
  Sfondo.BevelOuter := bvLowered;
  {La smussatura esterna dello sfondo  bassa}
  Inferiore2.Checked := True;
  {Inseriamo il segno di spunta per l'opzione Inferiore di Smussatura esterna}
  Superiore2.Checked := False;
  {Togliamo il segno di spunta per l'opzione Superiore di Smussatura esterna}
  Nessuno2.Checked := False;
  {Togliamo il segno di spunta per l'opzione Nessuno di Smussatura esterna}
end;

procedure TForm1.Superiore2Click(Sender: TObject);
begin
  Sfondo.BevelOuter := bvRaised;
  {La smussatura esterna dello sfondo  alta}
  Superiore2.Checked := True;
  {Inseriamo il segno di spunta per l'opzione Superiore di Smussatura esterna}
  Inferiore2.Checked := False;
  {Togliamo il segno di spunta per l'opzione Inferiore di Smussatura esterna}
  Nessuno2.Checked := False;
  {Togliamo il segno di spunta per l'opzione Nessuno di Smussatura esterna}
end;

procedure TForm1.Nessuno2Click(Sender: TObject);
begin
  Sfondo.BevelOuter := bvNone;
  {Non c' smussatura esterna per lo sfondo}
  Nessuno2.Checked := True;
  {Inseriamo il segno di spunta per l'opzione Nessuno di Smussatura esterna}
  Inferiore2.Checked := False;
  {Togliamo il segno di spunta per l'opzione Inferiore di Smussatura esterna}
  Superiore2.Checked := False;
  {Togliamo il segno di spunta per l'opzione Superiore di Smussatura esterna}
end;

end.
