unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    MioPulsante: TButton;
    Attivo: TCheckBox;
    Visibile: TCheckBox;
    Caratteri: TComboBox;
    procedure MioPulsanteClick(Sender: TObject);
    procedure AttivoClick(Sender: TObject);
    procedure VisibileClick(Sender: TObject);
    procedure CaratteriChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.MioPulsanteClick(Sender: TObject);
begin
  MioPulsante.Cursor := crCross;
end;

procedure TForm1.AttivoClick(Sender: TObject);
begin
  if Attivo.Checked = True then
  {se il tasto di scelta "Attivo" HA il segno di spunta allora...}
  begin
    MioPulsante.Enabled := True;
    {MioPulsante viene attivato}
  end;
  if Attivo.Checked = False then
  {SE il tasto di scelta "Attivo" NON HA il segno di spunta ALLORA...}
  begin
    MioPulsante.Enabled := False;
    {MioPulsante viene disattivato}
  end;
end;

procedure TForm1.VisibileClick(Sender: TObject);
begin
  if Visibile.Checked = True then
  {se il tasto di scelta "Visibile" HA il segno di spunta allora...}
  begin
    MioPulsante.Visible := True;
    {MioPulsante viene reso visibile}
  end;
  if Visibile.Checked = False then
  {SE il tasto di scelta "Visibile" NON HA il segno di spunta ALLORA...}
  begin
    MioPulsante.Visible := False;
    {MioPulsante viene reso invisibile}
  end;
end;

procedure TForm1.CaratteriChange(Sender: TObject);
begin
  if Caratteri.Text = 'Caratteri grandi' then
  {se abbiamo selezionato "Caratteri grandi", cio se il testo del componente
   "Caratteri"  'Caratteri grandi' allora...}
    begin
    MioPulsante.Font.Size := 14;
    {la grandezza (size) del carattere (font) del pulsante (MioPulsante) viene
     posta uguale a 14}
    MioPulsante.Font.Name := 'Courier New';
    {il nome (name) del carattere (font) del pulsante (MioPulsante) viene
    posta uguale a 'Courier New'}
    with MioPulsante do begin
    {consideriamo MioPulsante, quindi impostiamo...}
    Font.Style := Font.Style
                  {+ o - per togliere o aggiungere}
                  - [fsStrikeOut]
                  - [fsItalic]
                  + [fsUnderline]
                  + [fsBold];
    {inseriamo il sottolineato e il grassetto}
    end;
  end;
  if Caratteri.Text = 'Caratteri piccoli' then
  {se abbiamo selezionato "Caratteri piccoli", cio se il testo del componente
   "Caratteri"  'Caratteri piccoli' allora...}
    begin
      MioPulsante.Font.Size := 8;
      {la grandezza (size) del carattere (font) del pulsante (MioPulsante) viene
       posta uguale a 8}
      MioPulsante.Font.Name := 'MS Sans Serif';
      {il nome (name) del carattere (font) del pulsante (MioPulsante) viene
       posta uguale a 'MS Sans Serif'}
      with MioPulsante do begin
      {consideriamo MioPulsante, quindi impostiamo...}
      Font.Style := Font.Style
                    {+ o - per togliere o aggiungere}
                    - [fsStrikeOut]
                    - [fsItalic]
                    - [fsUnderline]
                    - [fsBold];
      {togliamo il sottolineato e il grassetto}
    end;
  end;
end;


end.
